/* 
 * IBM Confidential
 * OCO Source Materials
 * IBM Rational Application Analyzer
 *  Copyright IBM Corp. 2003, 2004
 *
 * The source code for this program is not published 
 * or otherwise divested of its trade secrets, irrespective 
 * of what has been deposited with the U.S. Copyright Office.
 */
package com.ibm.r2a.rules.rsa.examples.structuralanalsysis.componentdependencies.tangle.second;





public abstract class Font {
    
    public static final int PLAIN       = 0;
    public static final int BOLD        = 1;
    public static final int ITALIC      = 2;
    
    //...

    public abstract boolean canDisplay( char c );
    
    public abstract IFontData getFontData();
    
    //..
    
    public boolean isBold() {
        return ( ( getFontData().getStyle() & BOLD ) != 0 );
    }
    
    public boolean isItalic() {
        return ( ( getFontData().getStyle() & ITALIC ) != 0 );
    }
    
    public boolean isPlain() {
        return ( getFontData().getStyle() == 0 );
    }
    
    //...
    
    public static Font getDefaultFont() {
        return defaultFont;
    }
    
    private static final Font defaultFont = new CourierFont();
    
}
